Subject: bug#12638: 24.2.50; FR: Some suggestions for icomplete-mode

From: "Drew Adams" <[email-masked]>
Date: Tue, 11 Dec 2012 19:42:07 -0800

> > I think appending, "[Complete, but not unique]????" should 
> > serve as a cue that one can simply RET.
> 
> You mean we'd display "foo[Complete but not unique]{bar | | baz}"?

FWIW, in my own code (icomplete+.el), I have a separate user option for the
string that is displayed to indicate an exact match, as opposed to doing this
(in icomplete.el):

(and most-is-exact
     (substring icomplete-separator
                (string-match "[^ ]" icomplete-separator)))

The default value of the option is (string ?\u2605 ?\  ), i.e., a star.  See
attached.  (The number 5 shown is the total number of completions.  In this
particular case all are shown.)